package de.ozgcloud.nachrichten.common.vorgang;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

@Mapper(unmappedTargetPolicy = ReportingPolicy.WARN)
interface NachrichtenVorgangMapper {

	@Mapping(target = "trustLevel", source = "vorgangWithEingang.header.serviceKonto.trustLevel")
	Vorgang fromVorgangWithEingang(GrpcVorgangWithEingang vorgangWithEingang);
}
