package de.ozgcloud.nachrichten.antragraum;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.nachrichten.common.vorgang.GrpcServiceKontoTestFactory;
import de.ozgcloud.nachrichten.postfach.PostfachAddressTestFactory;
import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;

public class RueckfrageHeadTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String VORGANG_ID = UUID.randomUUID().toString();
	public static final String VORGANG_NAME = LoremIpsum.getInstance().getName();

	public static RueckfrageHead create() {
		return createBuilder().build();
	}

	public static RueckfrageHead.RueckfrageHeadBuilder createBuilder() {
		return RueckfrageHead.builder()
				.id(ID)
				.vorgangId(VORGANG_ID)
				.vorgangName(VORGANG_NAME)
				.postfachAddress(PostfachAddressTestFactory.create())
				.sentAt(PostfachNachrichtTestFactory.SENT_AT)
				.trustLevel(GrpcServiceKontoTestFactory.TRUST_LEVEL);
	}
}
